automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] Separate failing part of test `all.test'.


From: Stefano Lattarini
Subject: [PATCH] Separate failing part of test `all.test'.
Date: Wed, 14 Jul 2010 13:36:57 +0200
User-agent: KMail/1.13.3 (Linux/2.6.30-2-686; KDE/4.4.4; i686; ; )

* tests/all.test: Run aclocal only once.  Minor cosmetic changes.
Move checks that several *-local's in a single rule work ...
* tests/manylocal.test: ... in this new test.
* tests/Makefile.am (TESTS): Updated.
(XFAIL_TESTS): Remove `all.test', add `manylocal.test'.
---
 ChangeLog            |    9 +++++++++
 tests/Makefile.am    |    3 ++-
 tests/Makefile.in    |    3 ++-
 tests/all.test       |   28 ++++++++++------------------
 tests/manylocal.test |   35 +++++++++++++++++++++++++++++++++++
 5 files changed, 58 insertions(+), 20 deletions(-)
 create mode 100755 tests/manylocal.test
From 7bcd657530939fa5cc901627064c7607d7099daf Mon Sep 17 00:00:00 2001
From: Stefano Lattarini <address@hidden>
Date: Wed, 14 Jul 2010 13:33:49 +0200
Subject: [PATCH] Separate failing part of test `all.test'.

* tests/all.test: Run aclocal only once.  Minor cosmetic changes.
Move checks that several *-local's in a single rule work ...
* tests/manylocal.test: ... in this new test.
* tests/Makefile.am (TESTS): Updated.
(XFAIL_TESTS): Remove `all.test', add `manylocal.test'.
---
 ChangeLog            |    9 +++++++++
 tests/Makefile.am    |    3 ++-
 tests/Makefile.in    |    3 ++-
 tests/all.test       |   28 ++++++++++------------------
 tests/manylocal.test |   35 +++++++++++++++++++++++++++++++++++
 5 files changed, 58 insertions(+), 20 deletions(-)
 create mode 100755 tests/manylocal.test

diff --git a/ChangeLog b/ChangeLog
index 4366381..52c706a 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,12 @@
+2010-07-14  Stefano Lattarini  <address@hidden>
+
+       Separate failing part of test `all.test'.
+       * tests/all.test: Run aclocal only once.  Minor cosmetic changes.
+       Move checks that several *-local's in a single rule work ...
+       * tests/manylocal.test: ... in this new test.
+       * tests/Makefile.am (TESTS): Updated.
+       (XFAIL_TESTS): Remove `all.test', add `manylocal.test'.
+
 2010-06-26  Ralf Wildenhues  <address@hidden>
 
        Update program --help output to match current GCS.
diff --git a/tests/Makefile.am b/tests/Makefile.am
index af20d3e..28983bc 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -17,10 +17,10 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 XFAIL_TESTS =                                  \
-all.test                                       \
 auxdir2.test                                   \
 cond17.test                                    \
 gcj6.test                                      \
+manylocal.test                                 \
 txinfo5.test
 
 include $(srcdir)/parallel-tests.am
@@ -493,6 +493,7 @@ man2.test \
 man3.test \
 man4.test \
 man5.test \
+manylocal.test \
 mclean.test \
 mdate.test \
 mdate2.test \
diff --git a/tests/Makefile.in b/tests/Makefile.in
index 592faa0..29c9256 100644
--- a/tests/Makefile.in
+++ b/tests/Makefile.in
@@ -251,10 +251,10 @@ top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 XFAIL_TESTS = \
-all.test                                       \
 auxdir2.test                                   \
 cond17.test                                    \
 gcj6.test                                      \
+manylocal.test                                 \
 txinfo5.test
 
 parallel_tests = check-p.test check10-p.test check11-p.test \
@@ -704,6 +704,7 @@ man2.test \
 man3.test \
 man4.test \
 man5.test \
+manylocal.test \
 mclean.test \
 mdate.test \
 mdate2.test \
diff --git a/tests/all.test b/tests/all.test
index 3d761f4..2edd99a 100755
--- a/tests/all.test
+++ b/tests/all.test
@@ -1,5 +1,6 @@
 #! /bin/sh
-# Copyright (C) 1999, 2001, 2002, 2007  Free Software Foundation, Inc.
+# Copyright (C) 1999, 2001, 2002, 2007, 2010 Free Software Foundation,
+# Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,27 +18,18 @@
 # Test to make sure all-local and other -local targets work correctly.
 
 . ./defs || Exit 1
-set -e
-
-targets='all install-exec install-data uninstall'
-for target in $targets; do
-   echo "Doing $target"
-   echo "${target}-local:" > Makefile.am
 
-   $ACLOCAL
-   $AUTOMAKE
-
-   $FGREP "${target}-local ${target}-local" Makefile.in && Exit 1
-done
+set -e
 
-# Several *-local's in a single rule.
-echo "Doing $targets"
-echo "$targets:" | sed -e 's/[ :]/-local&/g' > Makefile.am
 $ACLOCAL
-$AUTOMAKE
 
+targets='all install-exec install-data uninstall'
 for target in $targets; do
-  $EGREP "${target}-am:.*${target}-local" Makefile.in
+  echo "Doing $target"
+  echo "${target}-local:" > Makefile.am
+  $AUTOMAKE
+  grep "${target}-local ${target}-local" Makefile.in && Exit 1
+  grep "${target}-am:.*${target}-local" Makefile.in
 done
 
-Exit 0
+:
diff --git a/tests/manylocal.test b/tests/manylocal.test
new file mode 100755
index 0000000..5a7e44f
--- /dev/null
+++ b/tests/manylocal.test
@@ -0,0 +1,35 @@
+#! /bin/sh
+# Copyright (C) 2010 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# Test to make sure several *-local's in a single rule work.
+
+. ./defs || Exit 1
+
+set -e
+
+targets='all install-exec install-data uninstall'
+echo "$targets:" | sed -e 's/[ :]/-local&/g' > Makefile.am
+cat Makefile.am  # might be useful for debugging
+
+$ACLOCAL
+$AUTOMAKE
+
+for target in $targets; do
+  grep "${target}-local" Makefile.in  # might be useful for debugging
+  grep "${target}-am:.*${target}-local" Makefile.in
+done
+
+:
-- 
1.7.1


reply via email to

[Prev in Thread] Current Thread [Next in Thread]